<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="fill_parent"
    android:orientation="horizontal" 
    android:background="@drawable/setting_bg">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <RelativeLayout
            android:id="@+id/toolbar_layout"
            style="@style/OperationSearchToolBar"
            android:layout_width="match_parent"
            android:layout_height="50dp">

            <TextView
                android:id="@+id/tv_toolbar_title"
                style="@style/DialogToolBarTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="@string/barcode"
                android:textColor="@color/edt_text"
                android:textSize="@dimen/opeartion_title_text_size" />

            <ImageButton
                android:id="@+id/close_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@drawable/ic_operation_close"
                android:onClick="onClickCloseView" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <com.honeywell.barcode.HSMDecodeComponent
                android:id="@+id/hsm_decodeComponent"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                />

        </LinearLayout>
    </LinearLayout>
</LinearLayout>

